<?php
/*
Plugin Name: Sunday as Start of the Week
Description: Add-on form WooCommerce Bookings and Appointment plugin that sets Sunday as the start of the week for bookings calendar.
Version: 1.0
Author: PluginHive
Author URI: https://www.pluginhive.com/about/
Text Domain: bookings-and-appointments-for-woocommerce
*/

if ( ! defined( 'ABSPATH' ) ) {
		exit; // Exit if accessed directly.
}	



if( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) && in_array( 'ph-bookings-appointments-woocommerce-premium/ph-bookings-appointments-woocommerce-premium.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) && ! class_exists('ph_bookings_calendar_weekdays_order') ) {
    class ph_bookings_calendar_weekdays_order {

        public function __construct(){
            add_filter( 'ph_booking_calendar_weekdays_order', array($this, 'ph_booking_calendar_weekdays_order'), 10, 1);
            add_filter( 'ph_bookings_calendar_days_order', array($this, 'ph_bookings_calendar_days_order'), 10, 2 );
        }

        public function ph_booking_calendar_weekdays_order($weekdays ){

            $week_days= "<li>".__("Su", "bookings-and-appointments-for-woocommerce")."</li>";
            $week_days.= "<li>".__("Mo", "bookings-and-appointments-for-woocommerce")."</li>";
            $week_days.= "<li>".__("Tu", "bookings-and-appointments-for-woocommerce")."</li>";
            $week_days.= "<li>".__("We", "bookings-and-appointments-for-woocommerce")."</li>";
            $week_days.= "<li>".__("Th", "bookings-and-appointments-for-woocommerce")."</li>";
            $week_days.= "<li>".__("Fr", "bookings-and-appointments-for-woocommerce")."</li>";
            $week_days.= "<li>".__("Sa", "bookings-and-appointments-for-woocommerce")."</li>";
            return $week_days;
        }
        function ph_bookings_calendar_days_order(){
            $day_order = array('sunday','monday','tuesday','wednesday','thursday','friday','saturday');
            return $day_order;
        }
    }
new ph_bookings_calendar_weekdays_order();
    
}

   



